Package org.jcsp.net.settings

# Class Settings

java.lang.Object
org.jcsp.net.settings.Settings

public class Settings extends Object
Used internally within the JCSP network infrastructure to represent a set of system settings.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`Settings()`
`Settings(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSetting(Setting s)`
`Setting`
`getSetting(String name)`
`Setting[]`
`getSettings()`
`void`
`removeSetting(Setting s)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Settings

public Settings()

### Settings

public Settings(String name)

## Method Details

### addSetting

public void addSetting(Setting s)

### removeSetting

public void removeSetting(Setting s)

### getSetting

public Setting getSetting(String name)

### getSettings

public Setting[] getSettings()

### toString

public String toString()

Overrides:
  `toString` in class `Object`